r3369 - vdr/vdr-plugin-mp3/trunk/debian
Tobias Grimm
tiber-guest at costa.debian.org
Sat Sep 23 16:10:15 UTC 2006
Author: tiber-guest
Date: 2006-09-23 16:10:14 +0000 (Sat, 23 Sep 2006)
New Revision: 3369
Added:
vdr/vdr-plugin-mp3/trunk/debian/vdr-plugin-mp3.postinst
vdr/vdr-plugin-mp3/trunk/debian/vdr-plugin-mp3.postrm
Log:
added postinst/rm scripts for cache dir
Added: vdr/vdr-plugin-mp3/trunk/debian/vdr-plugin-mp3.postinst
===================================================================
--- vdr/vdr-plugin-mp3/trunk/debian/vdr-plugin-mp3.postinst (rev 0)
+++ vdr/vdr-plugin-mp3/trunk/debian/vdr-plugin-mp3.postinst 2006-09-23 16:10:14 UTC (rev 3369)
@@ -0,0 +1,48 @@
+#! /bin/sh
+# postinst script for vdr-plugin-mp3
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+# quoting from the policy:
+# Any necessary prompting should almost always be confined to the
+# post-installation script, and should be protected with a conditional
+# so that unnecessary prompting doesn't happen if a package's
+# installation fails and the `postinst' is called with `abort-upgrade',
+# `abort-remove' or `abort-deconfigure'.
+
+# source debconf lib
+. /usr/share/debconf/confmodule
+
+case "$1" in
+ configure)
+ # ensure that the cache dir is correctly owned
+ if [ -d /var/cache/vdr-plugin-mp3 ] ; then
+ chown -R vdr:vdr /var/cache/vdr-plugin-mp3 || true
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
Added: vdr/vdr-plugin-mp3/trunk/debian/vdr-plugin-mp3.postrm
===================================================================
--- vdr/vdr-plugin-mp3/trunk/debian/vdr-plugin-mp3.postrm (rev 0)
+++ vdr/vdr-plugin-mp3/trunk/debian/vdr-plugin-mp3.postrm 2006-09-23 16:10:14 UTC (rev 3369)
@@ -0,0 +1,9 @@
+#! /bin/sh
+set -e
+
+# Remove cache files
+if [ "$1" = "purge" ]; then
+ /bin/rm -rf /var/cache/vdr-plugin-mp3/images
+fi
+
+#DEBHELPER#
More information about the pkg-vdr-dvb-changes
mailing list